import request from '@/utils/request';

/**
* 物料新增
* */
export function addMaterial(data: any) {
  return request({
    url: '/api/material/createMaterialSpec',
    method: 'post',
    data: data,
  });
}
/**
 * 物料编辑
 * */
export function updateMaterial(data: any) {
  return request({
    url: '/api/material/modifyMaterialSpec',
    method: 'post',
    data: data,
  });
}

/**
 * 物料删除
 */
export function deleteMaterial(data: any) {
  return request({
    url: '/api/material/removeMaterialSpec',
    method: 'post',
    data: data,
  });
}

/**
 * 物料维护修改
 */
export function editMaterial(data: any) {
  return request({
    url: '/api/materialMaint/editMaterial',
    method: 'post',
    data: data,
  });
}

/**
 * 物料维护修改
 */
export function checkMaterial(data: any) {
  return request({
    url: '/api/materialMaint/checkMaterial',
    method: 'post',
    data: data,
  });
}